%define major           1
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname %{name} -d

Name:           protobuf-c
Version:        1.5.0
Release:        %mkrel 1
Summary:        C bindings for Google's Protocol Buffers

Group:          Development/Other
License:        BSD
URL:            https://github.com/protobuf-c/protobuf-c
Source0:        https://github.com/protobuf-c/protobuf-c/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig(protobuf)

%description
Protocol Buffers are a way of encoding structured data in an efficient yet
extensible format. This package provides a code generator and run-time
libraries to use Protocol Buffers from pure C (not C++).

It uses a modified version of protoc called protoc-c.

%package -n     %{libname}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libname}
This package contains the shared %{name} library.

%package -n     %{develname}
Summary:        Protocol Buffers C headers and libraries
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains protobuf-c headers and libraries.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%check
make check

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc TODO README.md
%license LICENSE
%{_bindir}/protoc-c
%{_bindir}/protoc-gen-c

%files -n %{libname}
%license LICENSE
%{_libdir}/libprotobuf-c.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/google
%{_includedir}/protobuf-c/
%{_includedir}/google/protobuf-c/
%{_libdir}/libprotobuf-c.so
%{_libdir}/pkgconfig/libprotobuf-c.pc


%changelog
* Tue May 07 2024 daviddavid <daviddavid> 1.5.0-1.mga10
+ Revision: 2062757
- new version: 1.5.0

* Thu Dec 22 2022 wally <wally> 1.4.1-2.mga9
+ Revision: 1925771
- rebuild for protobuf 21.12

* Sat Sep 10 2022 neoclust <neoclust> 1.4.1-1.mga9
+ Revision: 1886349
- New version 1.4.1

* Wed Mar 30 2022 umeabot <umeabot> 1.4.0-3.mga9
+ Revision: 1833752
- Mageia 9 Mass Rebuild

* Tue Dec 28 2021 wally <wally> 1.4.0-2.mga9
+ Revision: 1764994
- rebuild for protobuf 3.19.1

* Fri Aug 06 2021 luigiwalser <luigiwalser> 1.4.0-1.mga9
+ Revision: 1739847
- 1.4.0

* Fri Dec 18 2020 luigiwalser <luigiwalser> 1.3.3-5.mga8
+ Revision: 1660995
- rebuild for protobuf

* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.3.3-4.mga8
+ Revision: 1650710
- rebuild for protobuf

* Sun Jun 28 2020 daviddavid <daviddavid> 1.3.3-3.mga8
+ Revision: 1600185
- rebuild for new protobuf 3.12.3

* Tue Feb 18 2020 umeabot <umeabot> 1.3.3-2.mga8
+ Revision: 1540988
- Mageia 8 Mass Rebuild

* Tue Feb 18 2020 daviddavid <daviddavid> 1.3.3-1.mga8
+ Revision: 1539631
- new version: 1.3.3
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 19 2019 daviddavid <daviddavid> 1.3.2-2.mga8
+ Revision: 1468859
- rebuild for new protobuf 3.11.2

* Fri Jul 05 2019 daviddavid <daviddavid> 1.3.2-1.mga8
+ Revision: 1418639
- new version: 1.3.2

* Fri Jan 11 2019 daviddavid <daviddavid> 1.3.1-3.mga7
+ Revision: 1354813
- rebuild for new protobuf 3.6.1

* Sun Sep 23 2018 umeabot <umeabot> 1.3.1-2.mga7
+ Revision: 1300383
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 daviddavid <daviddavid> 1.3.1-1.mga7
+ Revision: 1252753
- new version: 1.3.1

* Sun Apr 15 2018 daviddavid <daviddavid> 1.3.0-1.mga7
+ Revision: 1218994
- new version: 1.3.0

* Fri May 06 2016 luigiwalser <luigiwalser> 1.2.1-1.mga6
+ Revision: 1009949
- 1.2.1

* Tue Feb 16 2016 umeabot <umeabot> 1.1.1-2.mga6
+ Revision: 962149
- Mageia 6 Mass Rebuild

* Thu Aug 27 2015 daviddavid <daviddavid> 1.1.1-1.mga6
+ Revision: 870242
- new version: 1.1.1

* Thu Aug 27 2015 cjw <cjw> 1.0.2-3.mga6
+ Revision: 870219
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-2.mga5
+ Revision: 750231
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 luigiwalser <luigiwalser> 1.0.2-1.mga5
+ Revision: 737606
- 1.0.2
- remove patch to fix build error (fixed upstream)

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-3.mga5
+ Revision: 687800
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1.0.1-2.mga5
+ Revision: 670741
- add patch to fix strange build error
- 1.0.1 (sync with fedora)
- library major is now 1
- rebuild for protobuf

* Tue Dec 31 2013 dmorgan <dmorgan> 0.15-3.mga4
+ Revision: 563505
- Rebuild against current protobuf

* Sat Oct 19 2013 umeabot <umeabot> 0.15-2.mga4
+ Revision: 533480
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 blino <blino> 0.15-1.mga4
+ Revision: 473571
- properly libify
- fore autoreconf to fix libtool mismatch
- imported package protobuf-c


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 11 2013 David Robinson <zxvdr.au@gmail.com> - 0.15-7
- rebuilt for protobuf-2.5.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jun 12 2011 David Robinson <zxvdr.au@gmail.com> - 0.15-3
- rebuilt for protobuf-2.4.1

* Sun Apr 24 2011 David Robinson <zxvdr.au@gmail.com> - 0.15-2
- Spec file cleanup

* Wed Apr 20 2011 David Robinson <zxvdr.au@gmail.com> - 0.15-1
- New upstream release
- Spec file cleanup

* Mon Jan 17 2011 Bobby Powers <bobby@laptop.org> - 0.14-1
- New upstream release
- Removed -devel dependency on protobuf-devel
- Small specfile cleanups

* Wed May 19 2010 David Robinson <zxvdr.au@gmail.com> - 0.13-2
- Spec file cleanup

* Wed May 19 2010 David Robinson <zxvdr.au@gmail.com> - 0.13-1
- Initial packaging
